// File:  ADTList\ArrayListDemo.java

/**
 * Realization of a List ADT
 * 
 * @author Bary W Pollack
 * @version Dec. 31, 2000 - 23:00 PST
 */

// Provides a simple demonstration of using the List class

public class ArrayListDemo {

    static final int LTH = 5;

    public static void main(String[] args) {
        System.out.println();
        System.out.println("Array List Demo");
        System.out.println();

        ArrayList list = new ArrayList();
        list.create(LTH);

        try {
            // Force an exception by going one too far...
            for (int i = 0; i < LTH + 1; i++) {
                list.add(i, new NItem(11 + i));
                System.out.println("size=" + list.size() + "  " + list);
            }
        } catch (ListException e) {
            System.out.println(e);
        }

        System.out.println(); System.out.print("AL display: ");
        list.display();
        System.out.println("isFull=" + list.isFull());

        list.remove(list.size()/2);
        System.out.println("size-" + list.size() + "   " + list);
        list.remove(0);
        System.out.println("size=" + list.size() + "   " + list);
        list.remove(list.size() - 1);
        System.out.println("size=" + list.size() + "   " + list);
        System.out.println("isFull=" + list.isFull());

        System.out.println();
        System.out.println("End Array List Demo");
        System.out.println();
    }

}

/* ..... Execution Output .....

Array List Demo

size=1  11
size=2  11, 12
size=3  11, 12, 13
size=4  11, 12, 13, 14
size=5  11, 12, 13, 14, 15

******************** BACKTRACE ********************
ArrayList.java, Compiled Code  from ArrayList.add()
ArrayList.java, Compiled Code  from ArrayList.add()
ArrayListDemo.java, Compiled Code  from ArrayListDemo.main()
******************** EXCEPTION ********************
ListException: index out of range (5)

AL display: 11, 12, 13, 14, 15
isFull=true
size-4   11, 12, 14, 15
size=3   12, 14, 15
size=2   12, 14
isFull=false

End Array List Demo

..... End Execution Output ..... */
